using System;
using com.agilefaqs.rft.suggestions.strategies;

namespace com.agilefaqs.rft.suggestions
{
    public class IdentitySuggestionFourStrategy : AbstractCommonSuggestionsStrategy, SuggestionStrategy
    {
        public IdentitySuggestionFourStrategy(ChildSuggestionFactory childSuggestionFactory)
            : base(childSuggestionFactory)
        {
        }

        public virtual String getIdentity(SuggestionParam suggestionParams)
        {
            ChildStrategyParam childParam =
                new ChildStrategyParam(suggestionParams.ValidFirstNameToken, suggestionParams.City,
                                       suggestionParams.ValidLastNameToken);
            return suggestedIdentity(childParam);
        }
    }
}