using System;
using com.agilefaqs.rft.domain;

namespace com.agilefaqs.rft.suggestions.strategies
{
    public class LastNameInitialYearBasedStrategy : AbstractChildStrategy
    {
        public LastNameInitialYearBasedStrategy(UserService userService, SuggestionsUtil utils)
            : base(userService, utils)
        {
        }


        public override String generateId(ChildStrategyParam param)
        {
            String initial = Convert.ToString(param.Token3[0]);

            String token1 = String.Concat(String.Concat(param.Token1, initial), currentYear());

            String token2 = param.Token2;
            return getIdentity(token1, token2);
        }
    }
}